/// <see cref="MyOffice.Data.Models.Accounts.AccountAccessInvite"/>
namespace MyOffice.Services.Account.Domain;

using AutoMapper;
using Data.Models.Accounts;

public class AccountAccessInviteDto
{
	public string Id { get; set; } = null!;
	public string Account { get; set; } = null!;
	public bool IsAllowWrite { get; set; }
}

public class AccountAccessInviteDtoProfile: Profile
{
	public AccountAccessInviteDtoProfile()
	{
		CreateMap<AccountAccessInvite, AccountAccessInviteDto>()
			.ForMember(x => x.Account, o => o.MapFrom(x => x.Account!.Name))
			;
	}
}